Skip to content
No description, website, or topics provided.
Branch: master
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
src
.gitignore
README.md

README.md

Microsoft.Practices.EnterpriseLibrary.Common.Standard

Microsoft.Practices.EnterpriseLibrary.Common updated for 2018.

rolosoft_public_packages MyGet Build Status

About

Microsoft Patterns and Practices (p&p) Enterprise Library came to an unfortunate end (i.e. it was dropped by Microsoft).

Because my software company still heavily uses some of the p&p blocks, I've decided to update some of the old Microsoft packages to work with .Net Standard 2.0.

Installation

install-package Rsft.EntLib.Common.Standard

Caveats

This update has only recently been feasible with Microsoft releasing .Net Standard 2.x. Even with .Net standard 2.x, there are some missing API's that were in the old .Net framework 4.x.

With the missing API's I had to remove some of the class libraries. However, much of the original core functionality is available.

Where unit test are compatible, they are also included.

Features

Compatibility

  • .Net4.6.1 or higher
  • .Net Standard 2.0 or higher
  • .Net Core 2.0 or higher

Documentation

Please see the original Microsoft Guidance.

You can’t perform that action at this time.